import { type Middleware, type Padding } from '@floating-ui/dom';
import type { MaybeElement, MaybeReadonlyRef } from '../types';
export declare type ArrowOptions = {
    /**
     * The arrow element or template ref to be positioned.
     *
     * @required
     */
    element: MaybeReadonlyRef<MaybeElement<HTMLElement>>;
    /**
     * The padding between the arrow element and the floating element edges. Useful when the floating element has rounded corners.
     *
     * @default 0
     */
    padding?: Padding;
};
/**
 * Positions an inner element of the floating element such that it is centered to the reference element.
 *
 * @param options The arrow options.
 *
 * @see https://github.com/lozinsky/vue-floating-ui/blob/main/packages/vue-floating-ui/README.md#arrow
 */
export declare function arrow(options: ArrowOptions): Middleware;
